org.eclipse.wst.jsdt.chromium.debug.ui

## Class WizardUtils.PageImpl<PE extends WizardUtils.PageElements>

- java.lang.Object
- - WizardPage
  - - org.eclipse.wst.jsdt.chromium.debug.ui.WizardUtils.PageImpl<PE>

Type Parameters:
  `PE` - type of page elements object that keeps references to all page UI controls

Enclosing class:
  WizardUtils

    public static class WizardUtils.PageImpl<PE extends WizardUtils.PageElements>
    extends WizardPage

A simple implementation of the wizard page that stores mutable pointers to its next/previous pages and a pointer to page elements.

### Constructor Summary

Constructors
Constructor and Description
`PageImpl(java.lang.String pageName, WizardUtils.PageElementsFactory<PE> factory, java.lang.String title, java.lang.String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(WizardUtils.PageListener listener)`
`void` `createControl(Composite parent)`
`java.lang.String` `getMessage()`
`int` `getMessageType()`
`IWizardPage` `getNextPageImpl()`
`PE` `getPageElements()`
`IWizardPage` `getPreviousPageImpl()`
`void` `linkToNextPage(WizardUtils.PageImpl<?> next)`
`void` `removeListener(WizardUtils.PageListener listener)`
`void` `setVisible(boolean visible)`
`void` `unlinkFromNextPage(WizardUtils.PageImpl<?> next)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageImpl

    public PageImpl(java.lang.String pageName,
                    WizardUtils.PageElementsFactory<PE> factory,
                    java.lang.String title,
                    java.lang.String description)

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### getPreviousPageImpl

    public IWizardPage getPreviousPageImpl()

#### getNextPageImpl

    public IWizardPage getNextPageImpl()

#### setVisible

    public void setVisible(boolean visible)

#### addListener

    public void addListener(WizardUtils.PageListener listener)

#### removeListener

    public void removeListener(WizardUtils.PageListener listener)

#### getPageElements

    public PE getPageElements()

#### linkToNextPage

    public void linkToNextPage(WizardUtils.PageImpl<?> next)

#### unlinkFromNextPage

    public void unlinkFromNextPage(WizardUtils.PageImpl<?> next)

#### getMessage

    public java.lang.String getMessage()

#### getMessageType

    public int getMessageType()